Program Boundbank_shift_new

use sep
use bbank_shift_new

implicit none

! declarations
  integer                                  :: nsc, i, dim, count
  integer, dimension (:),   allocatable    :: nsh, mark, nt, center, gap, a
  real,    dimension (:),   allocatable    :: obank
  logical, dimension (:),   allocatable    :: lbank
  integer, dimension (:,:), allocatable    :: nbank
  real,    dimension (:),   allocatable    :: maskbank

call sep_init(SOURCE)

call from_history("dim",dim)
call from_history("nsc",nsc)
call from_history("ndp",count)
allocate(nsh(nsc),nbank(nsc,dim),nt(nsc*dim),mark(count),center(dim),gap(dim),a(dim))
call from_history("nshifts",nsh)
call from_history("nbank",nt)
call from_history("mark",mark)
nbank = reshape(nt,(/nsc,dim/))
                                               write(0,*)"BBsn 1"
call from_param ("a",a)

                                               write(0,*)"BBsn 1.5"
  center = 1
  where (a (2:) > 1) center (:dim-1) = a(:dim-1)/2 + 1
  call from_param ("center",center,center)
                                               write(0,*)"BBsn 2"

  gap = 0
  call from_param ("gap",gap,gap)
                                               write(0,*)"BBsn 3",mark

  allocate (maskbank(mark(count)-1), lbank(mark(count)-1))

                                               write(0,*)"BBsn 4"
  call sep_read(maskbank)

                                               write(0,*)"BBsn 5"
  call boundbank_shift_find(maskbank,nbank,nsh,mark,a,center,gap,lbank)

                                               write(0,*)"BBsn 6"
  allocate (obank(mark(count)-1))

                                               write(0,*)"BBsn 7"
  obank = 0.
  where (lbank) obank = 1.
                                               write(0,*)"BBsn 8"

! bignbank = (shifts+1).*nsc,dim

! do is=1, size bignbank,1
  ! allocate temp
  ! call bound with maskbank section
  ! output temp
  ! boundbank(mark...) = temp
  ! deallocate
! end do

! write everything out

                                               write(0,*)"BBsn 9"
  call to_history ("n1",mark(count)-1)
  call to_history ("n2",1 )
  call sep_write (obank)
  call sep_close ()
  call exit (0)
                                               write(0,*)"BBsn 10"
  deallocate(nsh,nt,mark,center,a,gap,nbank,maskbank,lbank,obank)

end Program
