module bbank_shift_new

  use helix
  use createhelixmod
  use bound
  use misinput

  implicit none

  contains

  subroutine boundbank_shift_find(maskbank,nbank,nsh,mark,a,center,gap,bbank)
    type( filter )                                     :: aa
    integer, dimension(:)                              :: a, center, gap, nsh, mark
    integer, dimension(:,:)                            :: nbank
    real,    dimension(:)                              :: maskbank
    logical, dimension(:)                              :: bbank
    logical, dimension(:), allocatable                 :: lmask
    real,    dimension(:), allocatable                 :: rmask, no, nd
    integer, dimension(:), allocatable                 :: ni
    integer                                            :: i, j, nm, nb, stat, count

                                              write(0,*)"bbsf 1 sz maskbank",size(maskbank)
    aa = createhelix(nbank(1,:), center, gap, a)
    allocate(ni(size(a)),lmask(size(maskbank)))
                                              write(0,*)"bbsf 2 sz/mark",size(mark),mark
    bbank = 0
                                              write(0,*)"bbsf 3 nsh",nsh
    lmask=.false.
    where (maskbank>0) lmask=.true.
                                              write(0,*)"bbsf 4"
    count=1
                                              write(0,*)"bbsf 5",size(nbank,1)
    do i=1,size(nbank,1)
       ni = nbank(i,:)
                                              write(0,*)"bbsf 6 i",i,ni
       do j=1,nsh(i)
                                              write(0,*)"bbsf 7 j",j
          call regridn (nbank(1,:), ni, aa)
                                              write(0,*)"bbsf 7.1 a",a
          call boundn (ni,ni,a,aa)
                                              write(0,*)"bbsf 7.2 size lmask piece",size(lmask(mark(count):mark(count+1)-1))
          call find_mask (lmask(mark(count):mark(count+1)-1),aa)
                                              write(0,*)"bbsf 7.3 count",count
          bbank(mark(count):mark(count+1)-1) = aa%mis
                                              write(0,*)"bbsf 7.4 j",j
          count=count+1
                                              write(0,*)"bbsf 7.5 j",j
          deallocate(aa%mis)
                                              write(0,*)"bbsf 7.6 j",j
          call regridn (ni, nbank(1,:), aa)
                                              write(0,*)"bbsf 7.7 j",j
       end do
    end do
    deallocate(ni)
                                              write(0,*)"bbsf 8"
  end subroutine boundbank_shift_find
end module bbank_shift_new
